Request a Bank Account Document Verification
On this page, you will learn how to initiate a new Bank Account Document Verification using the API.
To initiate a new Bank Account Document Verification, send the file containing the bank account details using the following endpoint:
POST /verifications/bank_accounts
curl --location --request POST '{baseUrl}/verifications/bank_accounts' \
--header 'Authorization: Bearer {apiKey}' \
--form 'file=@"/path/to/the/document/bank_details.jpeg"' {
"id": "21417328-7a20-4715-800d-350cad8d2bd1",
"workspace_id": "090b4f7e-25e8-423d-9387-741f6188ba7a",
"created_at": "2025-03-24T13:32:26+00:00",
"updated_at": "2025-03-24T13:32:26+00:00",
"status": "pending",
"status_codes": [],
"data_anonymized": false,
"data": {
"extracted_from_document": {
"iban": null,
"bic": null
}
}
}Sending a document from outside France? Include the
bicfield.A BIC is only extracted from French documents. On a document from any of the other covered countries, no BIC is found and the verification fails with
BAV_1604. Sending the account holder's BIC in the request avoids this.
| Query Param | Type | Description |
|---|---|---|
| file | file | The file containing the bank account details. Accepted formats: PNG, JPEG, JPG, PDF. Max size: 10 MB. Max resolution: 20 mpx. |
| [natural_person] first_name | string | The first name of the bank account holder. The first name provided must match exactly as it appears on the file containing the bank account details, as a consistency check will be performed. Do not include any honorary titles. If a natural_person is provided, do not include a legal_person. |
| [natural_person] last_name | string | The last name of the bank account holder. The last name provided must match exactly as it appears on the file containing the bank account details, as a consistency check will be performed. Do not include any honorary titles. If a natural_person is provided, do not include a legal_person. |
| [legal_person] name | string | The legal name of the company when the bank account holder is a business entity. The company name provided must match exactly as it appears on the file containing the bank account details, as a consistency check will be performed. If a natural_person is provided, do not include a legal_person. |
| iban | string | You may provide an IBAN for comparison with the one extracted from the file containing the bank account details. Ensure the IBAN provided contains no spaces. |
| bic | string | The BIC of the bank account. On a French document, this field is optional: the BIC is extracted from the document, and providing it adds a consistency check. On a document from any other covered country, no BIC can be extracted, so provide this field or the verification fails with BAV_1604. The check performed is then that the BIC you sent appears in the document.Ensure the BIC provided contains no spaces. |
| workspace_id | string | Scopes the verification to a specific workspace. Defaults to the main workspace if not specified. |
In the response, you'll find the id. This value is required to retrieve the verification results.
Updated 22 days ago

